
  /*
   *  Object %name    : %
   *  State           :  %state%
   *  Creation date   :  Mon Mar 28 12:04:13 2005
   *  Last modified   :  %modify_time%
   */
  /** @file
   *  \brief A brief description of this module
   *
   *  \version SST_TST_MAIN.c#1:csrc:1
   *  \author doronp
   *  \remarks Copyright (C) 2007 by Discretix Technologies Ltd.
   *           All Rights reserved
   */
/************* Include Files ***********************************/

#include "SST_TST.h"
#include "MW_ATP_define_flags.h"

/************************ Defines ******************************/
extern DxError_t SST_ATP_menu(void);
/************************ Enums ********************************/
/************************ Typedefs *****************************/
/************************ Global Data **************************/

/************************ Public Functions *********************/
#if SST_QA_ATP_TST

int main(int argc, char *argv[])

#else

DxError_t SST_TST_main (int argc, char *argv[])

#endif  /* SST_QA_ATP_TST */
{    
     /*Turn off VOS debug prints*/ 
     DX_VOS_DbgPrint_DisableModulePrinting(DX_DBG_ERROR_PROPAGATION|DX_DBG_MEM_ALLOC);
    
    TST_Error = MW_ATP_UTIL_ParseArgs(argc,argv);
    TST_ATP_CHECK_ERROR_RETURN(TST_Error,"MW_ATP_UTIL_ParseArgs",
                      "",
                      "");
  MW_ATP_RETURN_ON_FAILURE(TST_TestStatus);

    /* Init CRYS */
    TST_Error = MW_ATP_UTIL_Init_CRYS();
    TST_ATP_CHECK_ERROR_RETURN(TST_Error,
                                             "MW_ATP_UTIL_Init_CRYS",
                                             "!!!!!!!!!",
                                             "!!!!!!!!!");
    MW_ATP_RETURN_ON_FAILURE(TST_TestStatus);

    /* Start SST_ATP and its Menu */
    TST_ATP_Error = SST_ATP_menu();
    
  return TESTPASS;

  EXIT_ON_ERROR:
  {
    return DX_FAILURE;
  }
 }/* End of SST_TST_main*/


